Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1381 - Utmpd not running
Summary: Utmpd not running
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-01 11:03 UTC by Joseph Malicki
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-18 23:41:15 UTC


Attachments (Terms of Use)

Description Joseph Malicki 1999-03-01 11:03:34 UTC
In glibc 2.1 it appears that a daemon, utmpd, is required to
do utmp logging.  In Rawhide 1.2.7-1.2.9 at least, it does
not appear to run by default, so it must be manually started
for any user logging to occur.  Perhaps it should even
appear in /etc/inittab w/ respawn to prevent it from being
killed, rather than the initscripts?  The approach of
logging who is on the system by a daemon seems to be rather
suspect to begin with....

Comment 1 Joseph Malicki 1999-03-01 13:55:59 UTC
Oops!  It seems that utmpd is not needed, but the "who" command in the
current sh-utils  reads /var/run/utmp rather than /var/run/utmpx

Comment 2 Cristian Gafton 1999-03-18 23:41:59 UTC
utmpd is not needed is you do not have legacy programs that want to
write directly to the utmp file.


Note You need to log in before you can comment on or make changes to this bug.